%define iconname msn_fingerscrossed.png
%define _pixmapsdir %{_prefix}/share/icons
%define _sharedir %{_prefix}/share
%define qtdir	%{_libdir}/qt3

Summary:	KSynaptics - KDE configuration for synaptics module
Name:		ksynaptics
Version:	0.1
Release:	1mdk
License:	GPL
Group:		System/XFree86
URL:		http://sourceforge.net/projects/qsynaptics
BuildRequires:	kdelibs-devel >= 3.0
BuildRequires:	qt3-devel >= 3.0
Requires:  	kdebase-progs >= 3.0
BuildRoot:	%_tmppath/%{name}-%{version}-root-%(id -u -n)

Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-%{version}-images.tar.bz2
Patch1:		ksynaptics-menu.patch.bz2

# Deal with --tag
%define __libtoolize /bin/true

%description
KSynaptics (previously QSynaptics) is a Qt/KDE based configuration
utility for the synaptics touchpad drivers. It uses the
synclient/syndaemon tools delivered by the X11 driver, which is
available under http://w1.894.telia.com/~u89404340/touchpad/

%prep 
%setup -q -b 1
%patch1 -p1

%build
# This will be outside the build root and thus ignored.
# We don't want the .desktop file anyway
kde_appsdir="%{_applnkdir}"; export kde_appsdir
kde_icondir="%{_pixmapsdir}"; export kde_icondir

QTDIR=%qtdir
export LD_LIBRARY_PATH=$QTDIR/%_lib:$LD_LIBRARY_PATH

# Update config.{sub,guess} to recognize amd64-*
%{?__cputoolize: %{__cputoolize}}

%configure \
        --prefix=%_prefix \
        --libdir=%_libdir \
        --build=%_target_platform \
        --host=%_target_platform \
        --enable-shared \
        --with-gnu-ld \
        --with-pic \
        --enable-mt \
        --disable-rpath \
        --with-distribution="MandrakeLinux Cooker %_target_cpu - Cooker" \
        --x-includes=/usr/X11R6/include \
        --x-libraries=/usr/X11R6/%_lib \
        --with-qt-dir=%qtdir \
        --with-qt-includes=%qtdir/include \
        --with-qt-libraries=%qtdir/%_lib

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
##install -d $RPM_BUILD_ROOT%{_libdir}/menu

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Don't want to patch the Makefile
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
cp mdk-menu/ksynaptics $RPM_BUILD_ROOT%{_menudir}
cp mdk-icons/msn_fingerscrossed48.png %{buildroot}%{_liconsdir}/%{iconname}
cp mdk-icons/msn_fingerscrossed32.png %{buildroot}%{_iconsdir}/%{iconname}
cp mdk-icons/msn_fingerscrossed16.png %{buildroot}%{_miconsdir}/%{iconname}
rm -f %{buildroot}%{_sharedir}/applications/kde/*.png

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /usr/bin/update-menus
%postun -p /usr/bin/update-menus

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/*
%{_libdir}/menu/*
%{_sharedir}/applications/kde/*.desktop
%{_sharedir}/doc/HTML/en/*
%_iconsdir/%iconname
%_liconsdir/%iconname
%_miconsdir/%iconname  
%doc AUTHORS COPYING NEWS INSTALL README TODO

%changelog
* Tue Aug 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1-1mdk
- from Lonnie Borntreger <cooker@borntreger.com> :
	- First package
	- Create menu file for update-menus
	- Added scaled icons
